# com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.voice - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.voice

## Package com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.voice

### Types

(common)

#### InlineQueryResultVoice

`interface InlineQueryResultVoice : InlineQueryResultVoiceCommon, UrlInlineQueryResult, DuratedInlineResultQuery`

(common)

#### InlineQueryResultVoiceCached

`interface InlineQueryResultVoiceCached : InlineQueryResultVoiceCommon, WithFileIdInlineQueryResult`

(common)

#### InlineQueryResultVoiceCommon

`interface InlineQueryResultVoiceCommon : InlineQueryResult, CaptionedOutput, WithInputMessageContentInlineQueryResult, TitledInlineQueryResult`

### Properties

(common)

#### inlineQueryResultVoiceType

`const val inlineQueryResultVoiceType: String`